<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Timebands StructType
 * Meta informations extracted from the WSDL
 * - documentation: Any timebands which further qualify the validity condition.
 * @subpackage Structs
 */
class Timebands extends AbstractStructBase
{
    /**
     * The Timeband
     * Meta informations extracted from the WSDL
     * - documentation: Timeband during which element is available or in effect.
     * @var \StructType\TimebandStructure
     */
    public $Timeband;
    /**
     * Constructor method for Timebands
     * @uses Timebands::setTimeband()
     * @param \StructType\TimebandStructure $timeband
     */
    public function __construct(\StructType\TimebandStructure $timeband = null)
    {
        $this
            ->setTimeband($timeband);
    }
    /**
     * Get Timeband value
     * @return \StructType\TimebandStructure|null
     */
    public function getTimeband()
    {
        return $this->Timeband;
    }
    /**
     * Set Timeband value
     * @param \StructType\TimebandStructure $timeband
     * @return \StructType\Timebands
     */
    public function setTimeband(\StructType\TimebandStructure $timeband = null)
    {
        $this->Timeband = $timeband;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Timebands
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
